Subject: bug#16099: 24.3.50; Build failure, undefined function `cl-member'

From: Richard Copley <[email-masked]>
Date: Tue, 10 Dec 2013 18:25:11 +0000

On 10 Dec 2013 18:12, "Glenn Morris" <[email-masked]> wrote:
>
>
> What's going on here:
>
>   Buffer is read-only: #<buffer cus-load.el>
>   [...]
>   Buffer is read-only: #<buffer finder-inf.el>
>   [...]
>   Opening output file: no such file or directory,
c:/c/emacs/trunk/lisp/loaddefs.el
>   [...]
>   loaddefs.el: No such file or directory
>
> ?

That certainly looks suspect, well spotted. I guess
"c:/c/emacs/trunk/lisp/loaddefs.el" is the value of
`generated-autoload-file' which is set a few lines up:

[...] --eval '(setq generated-autoload-file (expand-file-name
"/c/emacs/trunk/lisp/loaddefs.el"))' [...]

I think that's probably a bug (mixing MSYS- and native-style paths), but if
I had used a relative path to invoke the configure script, it would have
been a benign bug. I'll reconfigure using a relative path and try again.